Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ObjectId_Hash Class Reference

Hashing class for Object Ids. More...

`#include <Key_Adapters.h>`

List of all members.

## Public Methods
u_long | operator() (const PortableServer::ObjectId &id) const
| Returns hash value.

## Detailed Description

Hashing class for Object Ids.

Define the hash() method for Object Ids.

## Member Function Documentation

u_long TAO_ObjectId_Hash::operator() | ( | const PortableServer::ObjectId & | id | ) | const

| Returns hash value.

The documentation for this class was generated from the following files:

- Key_Adapters.h
- Key_Adapters.cpp